/*===========================================================================================================
                                                                          
    ARTICLE: Unrecognized Expected Credit Losses and Bank Share Prices                      
    AUTHOR: P. Barrett Wheeler                  
    JOURNAL OF ACCOUNTING RESEARCH 

 	The code below uses National Information Center (NIC) data to parents and subsidiaries as well as bank
	merger and acquisition activity.

 ============================================================================================================*/

libname nic1 xml 'C:\Users\pwheeler1\Box Sync\Data Sets\NIC Data\20180331_ATTRIBUTES_ACTIVE.xml';
libname nic2 xml 'C:\Users\pwheeler1\Box Sync\Data Sets\NIC Data\20180331_ATTRIBUTES_BRANCH.xml';
libname nic3 xml 'C:\Users\pwheeler1\Box Sync\Data Sets\NIC Data\20180331_ATTRIBUTES_INACTIVE.xml';
libname nic4 xml 'C:\Users\pwheeler1\Box Sync\Data Sets\NIC Data\20180331_RELATIONSHIPS.xml';
libname nic5 xml 'C:\Users\pwheeler1\Box Sync\Data Sets\NIC Data\20180331_TRANSFORMATIONS.xml';

data nic_attributes_active;
set nic1.attributes;
run;
data nic_attributes_branch;
set nic2.attributes;
run;
data nic_attributes_inactive;
set nic3.attributes;
run;
data nic_relationships;
set nic4.relationship;
run;
data nic_transformations;
set nic5.transformation;
run;

libname nic 'C:\Users\pwheeler1\Box Sync\Data Sets\NIC Data';

data nic.attributes_active_20180331;
set nic_attributes_active;
run;
data nic.attributes_branch_20180331;
set nic_attributes_branch;
run;
data nic.attributes_inactive_20180331;
set nic_attributes_inactive;
run;
data nic.nic_relationships_20180331;
set nic_relationships;
run;
data nic.transformations_20180331;
set nic_transformations;
run;

proc sql;
create table nic_transformations2a as select a.*, b.nm_lgl as successor_name_active
from nic.transformations_20180331 as a left join nic.attributes_active_20180331 as b
on a.id_rssd_successor=b.id_rssd;

create table nic_transformations2b as select a.*, b.nm_lgl as successor_name_inactive
from nic_transformations2a as a left join nic.attributes_inactive_20180331 as b
on a.id_rssd_successor=b.id_rssd;

create table nic_transformations2c as select a.*, b.nm_lgl as predecessor_name_active
from nic_transformations2b as a left join nic.attributes_active_20180331 as b
on a.id_rssd_predecessor=b.id_rssd;

create table nic_transformations2d as select a.*, b.nm_lgl as predecessor_name_inactive
from nic_transformations2c as a left join nic.attributes_inactive_20180331 as b
on a.id_rssd_predecessor=b.id_rssd;
quit;

data nic_transformations (drop=successor_name_active successor_name_inactive predecessor_name_active predecessor_name_inactive);
set nic_transformations2d;
if successor_name_active='' then successor_name=successor_name_inactive;
else successor_name=successor_name_active;
if predecessor_name_active='' then predecessor_name=predecessor_name_inactive;
else predecessor_name=predecessor_name_active;
run;

data nic.transformations_names_20180331;
set nic_transformations;
run;


proc sql;
create table nic_relationships2a as select a.*, b.nm_lgl as parent_name_active
from nic.relationships_20180331 as a left join nic.attributes_active_20180331 as b
on a.id_rssd_parent=b.id_rssd;

create table nic_relationships2b as select a.*, b.nm_lgl as parent_name_inactive
from nic_relationships2a as a left join nic.attributes_inactive_20180331 as b
on a.id_rssd_parent=b.id_rssd;

create table nic_relationships2c as select a.*, b.nm_lgl as offspring_name_active
from nic_relationships2b as a left join nic.attributes_active_20180331 as b
on a.id_rssd_offspring=b.id_rssd;

create table nic_relationships2d as select a.*, b.nm_lgl as offspring_name_inactive
from nic_relationships2c as a left join nic.attributes_inactive_20180331 as b
on a.id_rssd_offspring=b.id_rssd;
quit;

data nic_relationships (drop=parent_name_active parent_name_inactive offspring_name_active offspring_name_inactive);
set nic_relationships2d;
if parent_name_active='' then parent_name=parent_name_inactive;
else parent_name=parent_name_active;
if offspring_name_active='' then offspring_name=offspring_name_inactive;
else offspring_name=offspring_name_active;
start=input(put(dt_start,8.),yymmdd10.);
end=input(put(dt_end,8.),yymmdd10.);
run;

data nic.relationships_names_20180331;
set nic_relationships;
run;


