/*===========================================================================================================
                                                                          
    ARTICLE: Unrecognized Expected Credit Losses and Bank Share Prices                      
    AUTHOR: P. Barrett Wheeler                  
    JOURNAL OF ACCOUNTING RESEARCH 

 	The code below aggregates loan origination estimates for single-family real estate loans, based on HMDA 
	data, for the period 1990-2016. These loan origination estimates are used in the estimation of Eq. (5) to
	calculate base expected loss estimates for single-family real estate loans as described in the manuscript.

 ============================================================================================================*/

libname lo 'C:\Users\pwheeler1\Box Sync\Data Sets\Loan Originations';

data lo.hmda_sf_lo_1990_2016;
set 
lo.hmda_sf_lo_2016 lo.hmda_sf_lo_2015 lo.hmda_sf_lo_2014 lo.hmda_sf_lo_2013
lo.hmda_sf_lo_2012 lo.hmda_sf_lo_2011 lo.hmda_sf_lo_2010 lo.hmda_sf_lo_2009
lo.hmda_sf_lo_2008 lo.hmda_sf_lo_2007 lo.hmda_sf_lo_2006 lo.hmda_sf_lo_2005
lo.hmda_sf_lo_2004 lo.hmda_sf_lo_2003 lo.hmda_sf_lo_2002 lo.hmda_sf_lo_2001
lo.hmda_sf_lo_2000 lo.hmda_sf_lo_1999 lo.hmda_sf_lo_1998 lo.hmda_sf_lo_1997
lo.hmda_sf_lo_1996 lo.hmda_sf_lo_1995 lo.hmda_sf_lo_1994 lo.hmda_sf_lo_1993
lo.hmda_sf_lo_1992 lo.hmda_sf_lo_1991 lo.hmda_sf_lo_1990;
run;
