/*========================================================================================================
                                                                          
        ARTICLE: Unrecognized Expected Credit Losses and Bank Share Prices                      
        AUTHOR: P. Barrett Wheeler                  
        JOURNAL OF ACCOUNTING RESEARCH 

 		The code below was used to generate Table 2.

 =========================================================================================================*/
 
xtset snlkey rankdate
gen nco_loans_4q = (nco+nco_lag1+nco_lag2+nco_lag3)/lag4_loans
winsor2 nco_loans_4q, cuts(1 99)

winsor2 nco_year1_loans nco_year2_loans nco_year3_loans nco_year4_loans nco_year5_loans nco_year6_loans, cuts(1 99)
winsor2 cum_nco_2year_loans cum_nco_3year_loans cum_nco_4year_loans cum_nco_5year_loans cum_nco_6year_loans, cuts(1 99)

*By Type Variables
gen ecl_sf_t_base_loans = ecl_sf_t_base/sf_htm
gen ecl_nonsfre_t_base_loans = ecl_nonsfre_t_base/nonsfre
gen ecl_cons_t_base_loans = ecl_cons_t_base/consloans
gen ecl_othnonre_t_base_loans = ecl_othnonre_t_base/othnonre

gen ecl_adj_sf_loans = ecl_adj_sf/sf_htm
gen ecl_adj_nonsfre_loans = ecl_adj_nonsfre/nonsfre
gen ecl_adj_cons_loans = ecl_adj_cons/consloans
gen ecl_adj_othnonre_loans = ecl_adj_othnonre/othnonre

winsor2 ecl_sf_t_base_loans ecl_nonsfre_t_base_loans ecl_cons_t_base_loans ecl_othnonre_t_base_loans, cuts(1 99)
winsor2 ecl_adj_sf_loans ecl_adj_nonsfre_loans ecl_adj_cons_loans ecl_adj_othnonre_loans, cuts(1 99)

gen npl_sf_loans = npl_sf/sf_htm
	replace npl_sf_loans=0 if npl_sf_loans<0
gen npl_nonsfre_loans = npl_nonsfre/nonsfre
	replace npl_nonsfre_loans=0 if npl_nonsfre_loans<0
gen npl_cons_loans = npl_cons/consloans
	replace npl_cons_loans=0 if npl_cons_loans<0
gen npl_othnonre_loans = npl_othnonre/othnonre
	replace npl_othnonre_loans=0 if npl_othnonre_loans<0
	
gen nco_sf_loans = (nco_sftotal+nco_sftotal_lag1+nco_sftotal_lag2+nco_sftotal_lag3)/lag4_sf_htm
gen nco_nonsfre_loans = (nco_nonsfre+nco_nonsfre_lag1+nco_nonsfre_lag2+nco_nonsfre_lag3)/lag4_nonsfre
gen nco_cons_loans = (nco_cons+nco_cons_lag1+nco_cons_lag2+nco_cons_lag3)/lag4_consloans
gen nco_othnonre_loans = (nco_othnonre+nco_othnonre_lag1+nco_othnonre_lag2+nco_othnonre_lag3)/lag4_othnonre

winsor2 npl_sf_loans npl_nonsfre_loans npl_cons_loans npl_othnonre_loans, cuts(0 99)
winsor2 nco_sf_loans nco_nonsfre_loans nco_cons_loans nco_othnonre_loans, cuts(0 99)


gen nco_sf_year1_loans = nco_sf_year1 / sf_htm
gen nco_sf_year2_loans = nco_sf_year2 / sf_htm
gen nco_sf_year3_loans = nco_sf_year3 / sf_htm
gen nco_sf_year4_loans = nco_sf_year4 / sf_htm
gen nco_sf_year5_loans = nco_sf_year5 / sf_htm
gen nco_sf_year6_loans = nco_sf_year6 / sf_htm

gen cum_nco_sf_2year_loans = cum_nco_sf_2year / sf_htm
gen cum_nco_sf_3year_loans = cum_nco_sf_3year / sf_htm
gen cum_nco_sf_4year_loans = cum_nco_sf_4year / sf_htm
gen cum_nco_sf_5year_loans = cum_nco_sf_5year / sf_htm
gen cum_nco_sf_6year_loans = cum_nco_sf_6year / sf_htm

winsor2 nco_sf_year1_loans nco_sf_year2_loans nco_sf_year3_loans nco_sf_year4_loans nco_sf_year5_loans nco_sf_year6_loans, cuts(1 99)
winsor2 cum_nco_sf_2year_loans cum_nco_sf_3year_loans cum_nco_sf_4year_loans cum_nco_sf_5year_loans cum_nco_sf_6year_loans, cuts(1 99)

gen nco_nonsfre_year1_loans = nco_nonsfre_year1 / nonsfre
gen nco_nonsfre_year2_loans = nco_nonsfre_year2 / nonsfre
gen nco_nonsfre_year3_loans = nco_nonsfre_year3 / nonsfre
gen nco_nonsfre_year4_loans = nco_nonsfre_year4 / nonsfre
gen nco_nonsfre_year5_loans = nco_nonsfre_year5 / nonsfre
gen nco_nonsfre_year6_loans = nco_nonsfre_year6 / nonsfre

gen cum_nco_nonsfre_2year_loans = cum_nco_nonsfre_2year / nonsfre
gen cum_nco_nonsfre_3year_loans = cum_nco_nonsfre_3year / nonsfre
gen cum_nco_nonsfre_4year_loans = cum_nco_nonsfre_4year / nonsfre
gen cum_nco_nonsfre_5year_loans = cum_nco_nonsfre_5year / nonsfre
gen cum_nco_nonsfre_6year_loans = cum_nco_nonsfre_6year / nonsfre

winsor2 nco_nonsfre_year1_loans nco_nonsfre_year2_loans nco_nonsfre_year3_loans nco_nonsfre_year4_loans nco_nonsfre_year5_loans nco_nonsfre_year6_loans, cuts(1 99)
winsor2 cum_nco_nonsfre_2year_loans cum_nco_nonsfre_3year_loans cum_nco_nonsfre_4year_loans cum_nco_nonsfre_5year_loans cum_nco_nonsfre_6year_loans, cuts(1 99)

gen nco_cons_year1_loans = nco_cons_year1 / consloans
gen nco_cons_year2_loans = nco_cons_year2 / consloans
gen nco_cons_year3_loans = nco_cons_year3 / consloans
gen nco_cons_year4_loans = nco_cons_year4 / consloans
gen nco_cons_year5_loans = nco_cons_year5 / consloans
gen nco_cons_year6_loans = nco_cons_year6 / consloans

gen cum_nco_cons_2year_loans = cum_nco_cons_2year / consloans
gen cum_nco_cons_3year_loans = cum_nco_cons_3year / consloans
gen cum_nco_cons_4year_loans = cum_nco_cons_4year / consloans
gen cum_nco_cons_5year_loans = cum_nco_cons_5year / consloans
gen cum_nco_cons_6year_loans = cum_nco_cons_6year / consloans

winsor2 nco_cons_year1_loans nco_cons_year2_loans nco_cons_year3_loans nco_cons_year4_loans nco_cons_year5_loans nco_cons_year6_loans, cuts(1 99)
winsor2 cum_nco_cons_2year_loans cum_nco_cons_3year_loans cum_nco_cons_4year_loans cum_nco_cons_5year_loans cum_nco_cons_6year_loans, cuts(1 99)

gen nco_othnonre_year1_loans = nco_othnonre_year1 / othnonre
gen nco_othnonre_year2_loans = nco_othnonre_year2 / othnonre
gen nco_othnonre_year3_loans = nco_othnonre_year3 / othnonre
gen nco_othnonre_year4_loans = nco_othnonre_year4 / othnonre
gen nco_othnonre_year5_loans = nco_othnonre_year5 / othnonre
gen nco_othnonre_year6_loans = nco_othnonre_year6 / othnonre

gen cum_nco_othnonre_2year_loans = cum_nco_othnonre_2year / othnonre
gen cum_nco_othnonre_3year_loans = cum_nco_othnonre_3year / othnonre
gen cum_nco_othnonre_4year_loans = cum_nco_othnonre_4year / othnonre
gen cum_nco_othnonre_5year_loans = cum_nco_othnonre_5year / othnonre
gen cum_nco_othnonre_6year_loans = cum_nco_othnonre_6year / othnonre

winsor2 nco_othnonre_year1_loans nco_othnonre_year2_loans nco_othnonre_year3_loans nco_othnonre_year4_loans nco_othnonre_year5_loans nco_othnonre_year6_loans, cuts(1 99)
winsor2 cum_nco_othnonre_2year_loans cum_nco_othnonre_3year_loans cum_nco_othnonre_4year_loans cum_nco_othnonre_5year_loans cum_nco_othnonre_6year_loans, cuts(1 99)


*Non-cumulative
areg nco_year1_loans_w ecl_t_base_loans  ecldiff_macro_loans if nco_loans_4q_w!=., absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco.xls, replace excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg nco_year1_loans_w ecl_t_base_loans  ecldiff_macro_loans alll_loans npl_loans nco_loans_4q_w, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg nco_year1_loans_w ecl_t_base_loans  ecldiff_macro_loans alll_loans npl_loans nco_loans_4q_w ercl, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg nco_year2_loans_w ecl_t_base_loans  ecldiff_macro_loans if nco_loans_4q_w!=., absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg nco_year2_loans_w ecl_t_base_loans  ecldiff_macro_loans alll_loans npl_loans nco_loans_4q_w, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg nco_year2_loans_w ecl_t_base_loans  ecldiff_macro_loans alll_loans npl_loans nco_loans_4q_w ercl, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg nco_year3_loans_w ecl_t_base_loans  ecldiff_macro_loans if nco_loans_4q_w!=., absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg nco_year3_loans_w ecl_t_base_loans  ecldiff_macro_loans alll_loans npl_loans nco_loans_4q_w, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg nco_year3_loans_w ecl_t_base_loans  ecldiff_macro_loans alll_loans npl_loans nco_loans_4q_w ercl, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg nco_year4_loans_w ecl_t_base_loans  ecldiff_macro_loans if nco_loans_4q_w!=., absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg nco_year4_loans_w ecl_t_base_loans  ecldiff_macro_loans alll_loans npl_loans nco_loans_4q_w, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg nco_year4_loans_w ecl_t_base_loans  ecldiff_macro_loans alll_loans npl_loans nco_loans_4q_w ercl, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg nco_year5_loans_w ecl_t_base_loans  ecldiff_macro_loans if nco_loans_4q_w!=., absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg nco_year5_loans_w ecl_t_base_loans  ecldiff_macro_loans alll_loans npl_loans nco_loans_4q_w, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg nco_year5_loans_w ecl_t_base_loans  ecldiff_macro_loans alll_loans npl_loans nco_loans_4q_w ercl, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg nco_year6_loans_w ecl_t_base_loans  ecldiff_macro_loans if nco_loans_4q_w!=., absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg nco_year6_loans_w ecl_t_base_loans  ecldiff_macro_loans alll_loans npl_loans nco_loans_4q_w, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg nco_year6_loans_w ecl_t_base_loans  ecldiff_macro_loans alll_loans npl_loans nco_loans_4q_w ercl, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)

*Cumulative
areg nco_year1_loans_w ecl_t_base_loans ecldiff_macro_loans if nco_loans_4q_w!=., absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco.xls, replace excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg nco_year1_loans_w ecl_t_base_loans ecldiff_macro_loans alll_loans npl_loans nco_loans_4q_w, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg nco_year1_loans_w ecl_t_base_loans ecldiff_macro_loans alll_loans npl_loans nco_loans_4q_w ercl, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg cum_nco_2year_loans_w ecl_t_base_loans ecldiff_macro_loans if nco_loans_4q_w!=., absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg cum_nco_2year_loans_w ecl_t_base_loans ecldiff_macro_loans alll_loans npl_loans nco_loans_4q_w, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg cum_nco_2year_loans_w ecl_t_base_loans ecldiff_macro_loans alll_loans npl_loans nco_loans_4q_w ercl, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg cum_nco_3year_loans_w ecl_t_base_loans ecldiff_macro_loans if nco_loans_4q_w!=., absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg cum_nco_3year_loans_w ecl_t_base_loans ecldiff_macro_loans alll_loans npl_loans nco_loans_4q_w, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg cum_nco_3year_loans_w ecl_t_base_loans ecldiff_macro_loans alll_loans npl_loans nco_loans_4q_w ercl, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg cum_nco_4year_loans_w ecl_t_base_loans ecldiff_macro_loans if nco_loans_4q_w!=., absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg cum_nco_4year_loans_w ecl_t_base_loans ecldiff_macro_loans alll_loans npl_loans nco_loans_4q_w, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg cum_nco_4year_loans_w ecl_t_base_loans ecldiff_macro_loans alll_loans npl_loans nco_loans_4q_w ercl, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg cum_nco_5year_loans_w ecl_t_base_loans ecldiff_macro_loans if nco_loans_4q_w!=., absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg cum_nco_5year_loans_w ecl_t_base_loans ecldiff_macro_loans alll_loans npl_loans nco_loans_4q_w, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg cum_nco_5year_loans_w ecl_t_base_loans ecldiff_macro_loans alll_loans npl_loans nco_loans_4q_w ercl, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg cum_nco_6year_loans_w ecl_t_base_loans ecldiff_macro_loans if nco_loans_4q_w!=., absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg cum_nco_6year_loans_w ecl_t_base_loans ecldiff_macro_loans alll_loans npl_loans nco_loans_4q_w, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg cum_nco_6year_loans_w ecl_t_base_loans ecldiff_macro_loans alll_loans npl_loans nco_loans_4q_w ercl, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)



*By Loan Type
*Single family
areg nco_sf_year1_loans_w ecl_sf_t_base_loans_w ecl_adj_sf_loans_w alll_loans npl_sf_loans_w nco_sf_loans_w, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco_sf.xls, replace excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg nco_sf_year2_loans_w ecl_sf_t_base_loans_w ecl_adj_sf_loans_w alll_loans npl_sf_loans_w nco_sf_loans_w, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco_sf.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg nco_sf_year3_loans_w ecl_sf_t_base_loans_w ecl_adj_sf_loans_w alll_loans npl_sf_loans_w nco_sf_loans_w, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco_sf.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg nco_sf_year4_loans_w ecl_sf_t_base_loans_w ecl_adj_sf_loans_w alll_loans npl_sf_loans_w nco_sf_loans_w, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco_sf.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg nco_sf_year5_loans_w ecl_sf_t_base_loans_w ecl_adj_sf_loans_w alll_loans npl_sf_loans_w nco_sf_loans_w, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco_sf.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg nco_sf_year6_loans_w ecl_sf_t_base_loans_w ecl_adj_sf_loans_w alll_loans npl_sf_loans_w nco_sf_loans_w, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco_sf.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)


*Non-single-family real estate
areg nco_nonsfre_year1_loans_w ecl_nonsfre_t_base_loans_w ecl_adj_nonsfre_loans_w alll_loans npl_nonsfre_loans_w nco_nonsfre_loans_w, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco_nonsfre.xls, replace excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg nco_nonsfre_year2_loans_w ecl_nonsfre_t_base_loans_w ecl_adj_nonsfre_loans_w alll_loans npl_nonsfre_loans_w nco_nonsfre_loans_w, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco_nonsfre.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg nco_nonsfre_year3_loans_w ecl_nonsfre_t_base_loans_w ecl_adj_nonsfre_loans_w alll_loans npl_nonsfre_loans_w nco_nonsfre_loans_w, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco_nonsfre.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg nco_nonsfre_year4_loans_w ecl_nonsfre_t_base_loans_w ecl_adj_nonsfre_loans_w alll_loans npl_nonsfre_loans_w nco_nonsfre_loans_w, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco_nonsfre.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg nco_nonsfre_year5_loans_w ecl_nonsfre_t_base_loans_w ecl_adj_nonsfre_loans_w alll_loans npl_nonsfre_loans_w nco_nonsfre_loans_w, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco_nonsfre.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg nco_nonsfre_year6_loans_w ecl_nonsfre_t_base_loans_w ecl_adj_nonsfre_loans_w alll_loans npl_nonsfre_loans_w nco_nonsfre_loans_w, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco_nonsfre.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)

*Consumer
areg nco_cons_year1_loans_w ecl_cons_t_base_loans_w ecl_adj_cons_loans_w alll_loans npl_cons_loans_w nco_cons_loans_w, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco_cons.xls, replace excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg nco_cons_year2_loans_w ecl_cons_t_base_loans_w ecl_adj_cons_loans_w alll_loans npl_cons_loans_w nco_cons_loans_w, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco_cons.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg nco_cons_year3_loans_w ecl_cons_t_base_loans_w ecl_adj_cons_loans_w alll_loans npl_cons_loans_w nco_cons_loans_w, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco_cons.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg nco_cons_year4_loans_w ecl_cons_t_base_loans_w ecl_adj_cons_loans_w alll_loans npl_cons_loans_w nco_cons_loans_w, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco_cons.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg nco_cons_year5_loans_w ecl_cons_t_base_loans_w ecl_adj_cons_loans_w alll_loans npl_cons_loans_w nco_cons_loans_w, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco_cons.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg nco_cons_year6_loans_w ecl_cons_t_base_loans_w ecl_adj_cons_loans_w alll_loans npl_cons_loans_w nco_cons_loans_w, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco_cons.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)

*Other non-real estate
areg nco_othnonre_year1_loans_w ecl_othnonre_t_base_loans_w ecl_adj_othnonre_loans_w alll_loans npl_othnonre_loans_w nco_othnonre_loans_w, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco_othnonre.xls, replace excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg nco_othnonre_year2_loans_w ecl_othnonre_t_base_loans_w ecl_adj_othnonre_loans_w alll_loans npl_othnonre_loans_w nco_othnonre_loans_w, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco_othnonre.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg nco_othnonre_year3_loans_w ecl_othnonre_t_base_loans_w ecl_adj_othnonre_loans_w alll_loans npl_othnonre_loans_w nco_othnonre_loans_w, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco_othnonre.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg nco_othnonre_year4_loans_w ecl_othnonre_t_base_loans_w ecl_adj_othnonre_loans_w alll_loans npl_othnonre_loans_w nco_othnonre_loans_w, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco_othnonre.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg nco_othnonre_year5_loans_w ecl_othnonre_t_base_loans_w ecl_adj_othnonre_loans_w alll_loans npl_othnonre_loans_w nco_othnonre_loans_w, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco_othnonre.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
areg nco_othnonre_year6_loans_w ecl_othnonre_t_base_loans_w ecl_adj_othnonre_loans_w alll_loans npl_othnonre_loans_w nco_othnonre_loans_w, absorb(rankdate) vce(cluster snlkey)
outreg2 using futureco_othnonre.xls, excel stats (coef tstat) paren(tstat) asterisk(tstat) dec(3) tdec(2)
