/*========================================================================================================
                                                                          
        ARTICLE: Unrecognized Expected Credit Losses and Bank Share Prices                      
        AUTHOR: P. Barrett Wheeler                  
        JOURNAL OF ACCOUNTING RESEARCH 

 		The code below identifies sample banks.

 =========================================================================================================*/

libname box 'C:\Users\pwheeler1\Box Sync\Data Sets\CECL';
libname nic 'C:\Users\pbwheele\Box Sync\Data Sets\NIC Data';
libname hmda 'C:\Users\pbwheele\Box Sync\Data Sets\HMDA';
libname lo 'C:\Users\pwheeler1\Box Sync\Data Sets\Loan Originations';

/*STEP 1: Merge SNL identifying information with CRSP PERMCO link table provided by New York Federal Reserve*/
	proc sql;
	create table alll1 as select a.name as link_name, a.entity as link_rssd, a.permco, a.link_start, a.link_end,
	b.snlkey, b.name, b.reg_id
	from box.rssdid_crsp_linktable_2016q4 as a left join box.all_regulatoryid_2018q1 as b
	on a.entity=b.reg_id;
	quit;
	data alll2;
	set alll1;
	rename link_rssd=rssd_id;
	if snlkey=. then delete;
	run;
	proc sql;
	create table alll3 as select a.*, b.rankdate
	from alll2 as a left join box.rankdates as b
	on a.snlkey order by snlkey, rankdate;
	quit;

	*Examine for duplicate observations;
	proc sort data=alll3 out=alll4 dupout=alll4_dup nodupkey;
	by permco snlkey rankdate;
	run;
	proc sort data=alll4_dup;
	by snlkey rankdate;
	run;

	*Save Step 1 data set - this dataset is used as jumping off point for estimation of loan originations (see separate code files in Step 2b);
	data box.cecl_step1; set alll4; run;
